/*
 * KING_KR.H Version 1.01 (C)1995,1996 HUDSON SOFT
 * Ｋ-Ｒバス(HuC6272<=>HuC6271間)関連 Ｃコンパイラ用ヘッダーファイル(KING_KR.H)
 */

#ifndef _KING_KR_H_
#define _KING_KR_H_

#include	<system.h>

struct KINGREG { u_short kr_cr, kraster_count; };
extern zero	struct KINGREG m_king_reg;

struct KR {u_long krstart;u_short krraster,krblock;};

void set_kr_pram(struct KR *krp);
void set_kr_trans(int mode);
#define KR_TRANS_OFF 0
#define KR_TRANS_ON 1

void set_king_raster_irq(int mode);
#define KING_RASTER_IRQ_OFF 0
#define KING_RASTER_IRQ_ON 2

void set_king_raster_count(u_short count);

#endif /* _KING_KR_H_ */
